Ubuntu

105 views
Skip to first unread message

Pedro Henrique

unread,
Apr 1, 2021, 4:55:28 PM4/1/21
to DSI Studio
Hello,

I am trying to install DSI Studio using the following tutorial: http://www.nemotos.net/?p=1878

After executing qmake, I find this error:

make: *** [Makefile:11814: RegionModel.o] Erro 1


How I can I fix it?

Frank Yeh

unread,
Apr 1, 2021, 7:06:38 PM4/1/21
to dsi-s...@googlegroups.com
You may check out this docker file and see if you miss anything: https://github.com/frankyeh/DSI-Studio/blob/master/Dockerfile

--
You received this message because you are subscribed to the Google Groups "DSI Studio" group.
To unsubscribe from this group and stop receiving emails from it, send an email to dsi-studio+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/dsi-studio/7b6212c9-14a9-437d-bac9-b8c6c529ba91n%40googlegroups.com.

Pedro Henrique

unread,
Apr 1, 2021, 8:16:21 PM4/1/21
to DSI Studio
Hello!

Thank you very much. I did what was suggested here: https://github.com/frankyeh/TIPL/issues/9 and it worked! 

I resolved that by simply changing:
std::vector<typename ImageType::value_type> pixels;
to
std::vector<float> pixels;
in march_cube.hpp

Tyler Diorio

unread,
May 18, 2021, 5:43:32 PM5/18/21
to DSI Studio
Hello all,

I'm still having the error: make: *** [Makefile:7930: main.o] Error 1 even after correcting line#443 in dsistudio/src/tipl/vis/march_cube.hpp
std::vector<typename ImageType::value_type> pixels;      to      std::vector<float> pixels; 

I was also following the tutorial on 'http://www.nemotos.net/?p=1878' and I'll list my package versions below:
  • Distributor ID: Ubuntu       |      Description:    Ubuntu 20.04.2 LTS      |      Release: 20.04      |      Codename: focal  
  • gcc (Ubuntu 7.5.0-6ubuntu2) 7.5.0 
  • g++ (Ubuntu 7.5.0-6ubuntu2) 7.5.0
  • The package from 'xgd-open https://github,com/frankyeh/TIPL/zipball/master' was 'frankyeh-TIPL-2020_07-42-g2d6c8e9'
  • The windows download file was 'dsi_studio_64.zip' downloaded today (5/18/21)
I can also post the full error code, I just didn't want to clog up the thread. Hope someone is able to help.

Frank Yeh

unread,
May 20, 2021, 8:25:20 AM5/20/21
to dsi-s...@googlegroups.com
Could you attach the error code as a txt attachment?
Frank

Tyler Diorio

unread,
May 20, 2021, 9:13:49 AM5/20/21
to DSI Studio

Sure thing, I'm attaching it here. 
Note: The error code when I re-attempted the install today is now make: *** [Makefile:7954: main.o] Error 1 rather than  make: *** [Makefile:7930: main.o] Error 1 as it was on 5/18 when I posted (I have not changed anything that I'm aware of).
-Tyler
UbuntuDSI_Error.txt

Frank Yeh

unread,
May 20, 2021, 9:31:28 AM5/20/21
to dsi-s...@googlegroups.com
The error occurs at

./ui_group_connectometry.h: In member function ‘void
Ui_group_connectometry::setupUi(QDialog*)’:
./ui_group_connectometry.h:308:24: error: ‘class QListWidget’ has no
member named ‘setItemAlignment’; did you mean ‘setItemWidget’?

This is due to a different Qt version used. You may check if you have Qt 5.12.2

Best,
Frank
> To view this discussion on the web visit https://groups.google.com/d/msgid/dsi-studio/fdb2aeea-d0d1-47b9-89b1-213c27da20cfn%40googlegroups.com.

Tyler Diorio

unread,
May 20, 2021, 10:21:44 AM5/20/21
to DSI Studio
What would be the command to check that?

I think I likely have  Qt 5.12.8 as I was following Step 3 of http://www.nemotos.net/?p=1878:

step3.png

Thanks for your help!
Tyler

Tyler Diorio

unread,
May 20, 2021, 10:29:14 AM5/20/21
to DSI Studio
Additionally, here's the printout of the 'sudo apt install qt5-qmake qt5-default libqt5charts5-dev' command:
qt5.png
It looks like 5.12.8 is the version for all of these packages.

Frank Yeh

unread,
May 20, 2021, 10:35:08 AM5/20/21
to dsi-s...@googlegroups.com
It would need strictly 5.12.2
If you did not specify the subversion, the version differences may cause an error.

Tyler Diorio

unread,
May 20, 2021, 11:47:04 AM5/20/21
to DSI Studio
Ok got it, I'll work on that.

Perhaps we can suggest that this part (STEP 3.) of the http://www.nemotos.net/?p=1878 Ubuntu tutorial be updated to reflect this? I think it could help a few users, like myself out.

Thanks for your help,
Tyler

Frank Yeh

unread,
May 20, 2021, 12:06:25 PM5/20/21
to dsi-s...@googlegroups.com
I checked the thread at the bottom of the page.
The error could also due to the typo "libqt5charts5-dev"
Frank

Tyler Diorio

unread,
May 20, 2021, 12:10:37 PM5/20/21
to DSI Studio
Good catch, however I did make sure to use the correct one as I saw that typo as well. From the forum thread at the bottom of the page, it sounds like this just hasn't been extensively tested with Ubuntu 20.04 so I'll try to post this issue if I can figure out how to install the correct version of Qt 5 (5.12.2)
Tyler

Frank Yeh

unread,
May 20, 2021, 12:56:03 PM5/20/21
to dsi-s...@googlegroups.com
Thanks for posting the message. Hope this also helps other users.
Frank

Frank Yeh

unread,
May 20, 2021, 1:48:51 PM5/20/21
to dsi-s...@googlegroups.com
I checked the Qt manual. The function setItemAlignment was introduced
after 5.12 https://doc.qt.io/qt-5/qlistview.html#itemAlignment-prop
It seems that the Qt library you linked has version <5.12?
Frank

Luan Aguiar

unread,
Apr 29, 2022, 11:58:39 AMApr 29
to DSI Studio
I am also trying to install DSI Studio using the following tutorial: http://www.nemotos.net/?p=1878.

However, after trying to run the step 6 (Get the source code from GitHub), I find this error:

(base) lras@ubuntu2004:~/Desktop/dsistudio$ git clone -b master git://github.com/frankyeh/DSI-Studio.git src
Cloning into 'src'...
fatal: remote error:
  The unauthenticated git protocol on port 9418 is no longer supported.
Please see https://github.blog/2021-09-01-improving-git-protocol-security-github/ for more information.

Frank Yeh

unread,
Apr 29, 2022, 12:04:31 PMApr 29
to dsi-s...@googlegroups.com
You may download the source from github website and see if it works.
There are also recompiled binaries for Ubuntu:
https://dsi-studio.labsolver.org/download.html
Frank
> To view this discussion on the web visit https://groups.google.com/d/msgid/dsi-studio/1dc8706e-a319-4087-ae58-9f1fdc067c6bn%40googlegroups.com.
Reply all
Reply to author
Forward
0 new messages